Download it now!
Bug 54946 - Custom variable cannot be applied
Summary: Custom variable cannot be applied
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.0.2 rc
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-14 23:09 UTC by Thom Brown
Modified: 2018-03-10 08:19 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of locked tick (37.59 KB, image/png)
2012-09-14 23:09 UTC, Thom Brown
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thom Brown 2012-09-14 23:09:18 UTC
Created attachment 67190 [details]
Screenshot of locked tick

Problem description:

After setting variables in Writer, they can't be deleted. They also don't display their value when inserted into the document.

Steps to reproduce:

1. Create a new blank document in Writer
2. Use menu Insert -> Fields -> Other
3. Select Variables tab
4. Under Type select "Set variable"
5. Under Format select "Text"
6. Under Name enter "test_name"
7. Under Value enter "test value"

Expected behaviour:

The tick icon to the right of the Value field to become unlocked and clickable, allowing for the confirmation of the variable.

Current behaviour:

The tick icon is greyed out. Clicking Insert correctly puts the value into the document and causes the variable to be registered, but its value isn't persistent as it becomes blanks when revisiting the dialog later.

(Screenshot attached)
Comment 1 Thom Brown 2012-09-14 23:10:20 UTC
Can be reproduced reliably.
Comment 2 Urmas 2012-09-17 06:51:39 UTC
It actually inserts field with correct values, so it is a UI bug.
Comment 3 QA Administrators 2015-01-05 17:51:30 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-01-22 16:39:25 UTC
(In reply to Urmas from comment #2)
> It actually inserts field with correct values, so it is a UI bug.

Confirmed.

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 07e84cae983c08afdba03018413a19d01abb3006
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-01-19_06:15:38
Comment 5 QA Administrators 2016-02-21 08:35:37 UTC Comment hidden (obsolete)
Comment 6 Thom Brown 2016-02-21 12:48:08 UTC
I can confirm that this still appears to be present in LibreOffice Writer 5.1.
Comment 7 QA Administrators 2017-03-06 15:18:57 UTC Comment hidden (obsolete)
Comment 8 Thom Brown 2017-03-06 15:26:45 UTC
Re-tested in LibreOffice 5.3.0.3, and this is still present.  The tick button still isn't enabled as described in the original report.
Comment 9 QA Administrators 2018-03-07 03:41:24 UTC Comment hidden (obsolete)
Comment 10 Thom Brown 2018-03-09 20:53:48 UTC
Repeating these steps in LibreOffice 6.0.2.1, this no longer results in an issue.  Marking as resolved.